- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
G::Cleanup Class Reference

An interface for registering cleanup functions which are called when the process terminates abnormally. More...

`#include <gcleanup.h>`

## Static Public Member Functions
static void | init ()
| An optional early-initialisation function. More...
static void | add (void(*fn)(SignalSafe, const char *), const char *arg)
| Adds the given handler to the list which are to be called when the process terminates abnormally. More...

## Detailed Description

An interface for registering cleanup functions which are called when the process terminates abnormally.

Definition at line 39 of file gcleanup.h.

## Member Function Documentation

void G::Cleanup::add | ( | void(*)(SignalSafe, const char *) | fn,
|  | const char * | arg
| ) |  |
| static

Adds the given handler to the list which are to be called when the process terminates abnormally.

The handler function must be fully reentrant. The 'arg' pointer is kept.

Definition at line 78 of file gcleanup_unix.cpp.

References G::CleanupImp::add().

void G::Cleanup::init | ( |  | ) |
| static

An optional early-initialisation function.

May be called more than once.

Definition at line 73 of file gcleanup_unix.cpp.

References G::CleanupImp::ignore().

Referenced by GNet::Socket::prepare().

The documentation for this class was generated from the following files:

- gcleanup.h
- gcleanup_unix.cpp